#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	wayland
Version		:	1.23.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Wayland Compositor Infrastructure
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://wayland.freedesktop.org/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	libxml2
#-----------------------------------------------------------------------------
%description
Wayland is intended as a simpler replacement for X, easier to develop
and maintain. GNOME and KDE are expected to be ported to it.

Wayland is a protocol for a compositor to talk to its clients as well
as a C library implementation of that protocol. The compositor can be
a standalone display server running on Linux kernel modesetting and
evdev input devices, an X application, or a wayland client itself.
The clients can be traditional applications, X servers (rootless or
fullscreen) or other display servers.

Part of the Wayland project is also the Weston reference implementation
of a Wayland compositor. Weston can run as an X client or under Linux KMS
and ships with a few demo clients. The Weston compositor is a minimal
and fast compositor and is suitable for many embedded and mobile use cases.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc COPYING README.md
%{_includedir}/%{name}-cursor.h
%{_includedir}/%{name}-util.h
%{_includedir}/%{name}-version.h
%{_libdir}/lib%{name}-cursor.so*
%{_libdir}/pkgconfig/%{name}-cursor.pc
%{_datadir}/%{name}/%{name}*
#client part
%{_includedir}/%{name}-client*.h
%{_libdir}/lib%{name}-client.so*
%{_libdir}/pkgconfig/%{name}-client.pc
#server part
%{_includedir}/%{name}-server*.h
%{_libdir}/lib%{name}-server.so*
%{_libdir}/pkgconfig/%{name}-server.pc
#scanner part
%{_bindir}/%{name}-scanner
%{_libdir}/pkgconfig/%{name}-scanner.pc
%{_datadir}/aclocal/%{name}-scanner.m4
#EGL part
%{_includedir}/%{name}-egl*.h
%{_libdir}/lib%{name}-egl.so*
%{_libdir}/pkgconfig/%{name}-egl*.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D documentation=false				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	%{_smp_mflags}					\
	-C _bld						\
	-k1						\
	-v						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _bld					\
		install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
